ReferenceSeoSeoRanking guide
Get the SEO Ranking guide page envelope
Loading the API reference…
A practice API key or an OAuth access token, both presented as Authorization: Bearer <token>. The token itself names the practice, so no organization header is needed.
In: header
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$uuidapplication/json
application/json
application/json
curl -X GET "https://example.com/seo/ranking-guide"{ "entitlement": { "enabled": true, "readOnly": true, "upgradeRequired": true }, "permissions": { "read": true, "request": true, "recover": true, "respond": true, "manage": true, "approve": true, "publish": true, "aiDraft": true }, "data": { "locations": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "city": "string", "timezone": "string", "latitude": -90, "longitude": -180, "coordinatesConfirmedAt": "2019-08-24T14:15:22Z" } ], "selectedLocationId": "fade4f7d-d6eb-404c-8418-9bd9e40bdd60", "country": "string", "checkedAt": "2019-08-24T14:15:22Z", "facts": { "gbp": { "connected": true, "verified": true, "verifiedObservedAt": "2019-08-24T14:15:22Z", "auditCompletedAt": "2019-08-24T14:15:22Z", "openFixFields": [ "string" ] }, "reviewsReply": { "awaiting": 0, "syncedAt": "2019-08-24T14:15:22Z" }, "reviewsCount": { "count": 0, "rating": 0, "observedAt": "2019-08-24T14:15:22Z", "previousCount": 0, "previousAt": "2019-08-24T14:15:22Z" }, "gbpPosts": { "lastPublishedAt": "2019-08-24T14:15:22Z" }, "audit": { "completedAt": "2019-08-24T14:15:22Z", "findings": { "title_missing": 0, "title_length": 0, "insecure_page": 0, "slow_lcp": 0, "poor_performance": 0, "layout_shift": 0, "blocking_time": 0, "missing_local_business_schema": 0, "broken_internal_links": 0 }, "lighthouseMeasured": true, "lighthouseObservedAt": "2019-08-24T14:15:22Z" }, "smilelineSite": { "published": true, "observedAt": "2019-08-24T14:15:22Z" }, "gsc": { "status": "string", "observedAt": "2019-08-24T14:15:22Z" }, "listings": { "checked": 0, "matching": 0, "unchecked": 0, "observedAt": "2019-08-24T14:15:22Z", "bingPlaces": "found", "coverage": "targets" }, "ai": { "chatgpt": { "prompts": 0, "mentioned": 0, "observedAt": "2019-08-24T14:15:22Z" }, "google": { "prompts": 0, "mentioned": 0, "observedAt": "2019-08-24T14:15:22Z" } }, "aiOverview": { "cited": 0, "known": 0, "observedAt": "2019-08-24T14:15:22Z" } }, "marks": [ { "pointId": "gbp_primary_category", "markedAt": "2019-08-24T14:15:22Z" } ], "practice": { "name": "string", "city": "string", "domain": "string", "phone": "string" }, "gbpFixes": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54", "kind": "gbp_fix_field", "surface": "overview", "status": "open", "priority": 0, "title": "string", "summary": "string", "payload": { "kind": "gbp_fix_field", "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54", "field": "string", "updateMask": [ "string" ], "intent": { "kind": "set", "value": "string" } }, "draft": "string", "autoApproved": true, "approvedById": "string", "idempotencyVersion": 0, "expiresAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "errorCode": "claim_budget_exhausted", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "postSuggestions": [ { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54", "kind": "gbp_fix_field", "surface": "overview", "status": "open", "priority": 0, "title": "string", "summary": "string", "payload": { "kind": "gbp_fix_field", "locationId": "1a5515a3-ba81-4a42-aee7-ad9ffc090a54", "field": "string", "updateMask": [ "string" ], "intent": { "kind": "set", "value": "string" } }, "draft": "string", "autoApproved": true, "approvedById": "string", "idempotencyVersion": 0, "expiresAt": "2019-08-24T14:15:22Z", "completedAt": "2019-08-24T14:15:22Z", "errorCode": "claim_budget_exhausted", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z" } ], "aiAnswers": [ { "platform": "chatgpt", "prompt": "string", "excerpt": "string", "mentioned": true, "observedAt": "2019-08-24T14:15:22Z" } ], "lighthouse": [ { "url": "string", "lcpMs": 1, "cls": 0, "performance": 0 } ] }}